Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Updated 12/18 shadow-sources: lots of improvements
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Legoguy
Apprentice
Apprentice


Joined: 22 Dec 2003
Posts: 165
Location: Gurnee, IL

PostPosted: Wed Dec 15, 2004 3:07 am    Post subject: Reply with quote

StifflerStealth wrote:
I did all this patching and diffing on my *gasp* MS Windows *gasp* notebook. The patch should work, and I tested it via the command line. :D


Sigh, my notebook is in the shop now. So I'll test it when it gets back, sometime around christmas. Maybe.
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 957

PostPosted: Wed Dec 15, 2004 6:58 am    Post subject: Reply with quote

Legoguy wrote:
Sigh, my notebook is in the shop now. So I'll test it when it gets back, sometime around christmas. Maybe.
They are hoping to release 2.6.10 by Christmas, so hopefully I can have that out by the time you get your notebook back. I will, of course, keep the 2.6.9 series up-to-date with patches, but nothing new. I have a lot planned for 2.6.10, like checks for arch and the disabling of CK if you do not have AMD64 or x86, so that way, all archs can be supported. I am even trying to find enhancements for other archs that are like staircse, so then they can have speed improvements. Unless, Staircase is supported on other archs. I am under the impression that it doesn't. hmm. Well, I am basing my assumptions on the ck-sources ebuild that only has AMD64 and x86 listed.

-Stiff
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
bollucks
l33t
l33t


Joined: 27 Oct 2004
Posts: 606

PostPosted: Wed Dec 15, 2004 11:11 pm    Post subject: ck is not arch dependant Reply with quote

ck has said in his mailing list that there is nothing arch specific about his patchset. It should work on all arches.
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 957

PostPosted: Thu Dec 16, 2004 8:54 pm    Post subject: Re: ck is not arch dependant Reply with quote

bollucks wrote:
ck has said in his mailing list that there is nothing arch specific about his patchset. It should work on all arches.
That's good news. :D That will make my job a little easier. I will add in the other archs to the allowed archs list in my ebuild then. Maybe I play things a little too causiosly, but better safe than sorry as I always say. The next release later today or early tomorrow will have that change. :D I hope the new swsup2 patches work. *crosses fingures*
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
noooob
n00b
n00b


Joined: 15 Dec 2004
Posts: 5

PostPosted: Thu Dec 16, 2004 9:48 pm    Post subject: Reply with quote

I'd like to try install this kernel with orinoco patch...mmm is this kernel including orinoco patch?..or if you add it.....that'll be nice thanks
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 957

PostPosted: Sat Dec 18, 2004 6:23 am    Post subject: Reply with quote

noooob wrote:
I'd like to try install this kernel with orinoco patch...mmm is this kernel including orinoco patch?..or if you add it.....that'll be nice thanks
I will look into adding this patch for 2.6.10. I found several drivers in a google search, so do you mean the pcmcia driver?

Version bump:
[UPDATE] 12/18
IMPORTANT: I changed the use flag from noreiser4 to reiser4, so if you want reiser4 support, you need to add it to the use list by doing something like:
Code:
~ # echo "sys-kernel/shadow-sources reiser4" >> /etc/portage/package.use
I did this for sanity reasons in the ebuild so I could follow it a little better. :D

I added a lot of new patches for acrchs other than amd64 and x86.

I updated swsup2 to the newest beta because there were some issues with it and breaking certain things, well, at least in my testing. If anyone has problems with the new beta, let me know and I will revert back to the stable. I did notice some bugs fixed, but new ones might have popped up where I cannot test them. Enjoy.

Added an updated version of the patch to fix the compile error when swsup2 is used.

Updated to the newest -ac patch.

I moved all the patched that were not in base to extra, so now there are only 2 archives to DL. They are big, though.

As such, I changed how swsup2 and kexec are handled.

Lots of changes to the ebuild to handle all this.
[/UPDATE]

I did a lot of compiling of various versions, so I can say certain configurations work with all the use flags. I have a Pentium4 so I can only speak from that point of view though.

-Stiff.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
Macumba
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2004
Posts: 112

PostPosted: Sat Dec 18, 2004 2:46 pm    Post subject: Reply with quote

emerged shadow-sources with kexec and swsup2.
now i will test the compiling in my brand-new builded linux-system.


Code:
 
CC      kernel/power/suspend_builtin.o
kernel/power/suspend_builtin.c:15:25: asm/highmem.h: No such file or directory
kernel/power/suspend_builtin.c: In function `get_highstart_pfn':
kernel/power/suspend_builtin.c:446: error: `highstart_pfn' undeclared (first use in this function)
kernel/power/suspend_builtin.c:446: error: (Each undeclared identifier is reported only once
kernel/power/suspend_builtin.c:446: error: for each function it appears in.)
make[2]: *** [kernel/power/suspend_builtin.o] Error 1
make[1]: *** [kernel/power] Error 2
make: *** [kernel] Error 2

one file isn't there...

...my pc doesn't want swsup2.... :cry:

there is no highmem support for amd64..?

i tryed a re-emerge without a old .config file but the same error
and a highmem.h from the i386 doesn't worked, too.

with the i386 highmem.h
Code:
  CC      kernel/power/suspend_builtin.o
  CC      kernel/power/proc.o
  CC      kernel/power/io.o
kernel/power/io.c: In function `write_pageset':
kernel/power/io.c:109: warning: implicit declaration of function `real_nr_free_pages'
  CC      kernel/power/memory_pool.o
kernel/power/memory_pool.c: In function `get_from_pool':
kernel/power/memory_pool.c:132: error: `mem_map' undeclared (first use in this function)
kernel/power/memory_pool.c:132: error: (Each undeclared identifier is reported only once
kernel/power/memory_pool.c:132: error: for each function it appears in.)
kernel/power/memory_pool.c: In function `add_to_pool':
kernel/power/memory_pool.c:164: error: `mem_map' undeclared (first use in this function)
make[2]: *** [kernel/power/memory_pool.o] Error 1
make[1]: *** [kernel/power] Error 2
make: *** [kernel] Error 2

_________________
Code:
dd if=/dev/urandom of=/dev/speech

ogg - mp3
Back to top
View user's profile Send private message
grenouille
Tux's lil' helper
Tux's lil' helper


Joined: 12 Jun 2004
Posts: 97

PostPosted: Sat Dec 18, 2004 6:01 pm    Post subject: Reply with quote

trying now, I added configurable usb hid mouse polling and it compiled fine. No stability issue so far, reiser4 works... thx for the work :D
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 957

PostPosted: Sat Dec 18, 2004 6:29 pm    Post subject: Reply with quote

In the file "kernel/power/suspend_builtin.c" try changing the line from "#include <asm/highmem.h>" to "#include <linux/highmem.h>". If that works, then I will make the change in the patches. This would be an issue with SwSup2 itself. I was going to create a patch that converts swsup2 to the latest stable, but that same line is in there, so it would fail just the same I am afraid.

EDIT: Yeah, there is a asm/highmem.h for i386 which is why it compiles for me. There is no asm/highmem.h for x86_64 (amd64). kexec is compatible with x86_64 and it changes from asm/highmem.h to linux/highmem.h.

Hope this helps.

@grenouille: You're welcome!

-Stiff
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
Macumba
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2004
Posts: 112

PostPosted: Sat Dec 18, 2004 7:38 pm    Post subject: Reply with quote

i tryed it without swsusp2, with reiser4 and got this warnings
Code:

  CC      fs/reiser4/debug.o
fs/reiser4/debug.c: In function `print_clog':
fs/reiser4/debug.c:705: warning: cast from pointer to integer of different size
fs/reiser4/debug.c:705: warning: cast from pointer to integer of different size
[...]
  CC      fs/reiser4/plugin/cryptcompress.o
fs/reiser4/plugin/cryptcompress.c: In function `set_cluster_params':
fs/reiser4/plugin/cryptcompress.c:2203: warning: ISO C90 forbids mixed declarations and code
[...]
  CC      drivers/serial/8250_pci.o
  CC      drivers/serial/8250_pnp.o
drivers/serial/8250_pnp.c: In function `serial_pnp_probe':
drivers/serial/8250_pnp.c:421: warning: cast to pointer from integer of different size
drivers/serial/8250_pnp.c: In function `serial_pnp_remove':
drivers/serial/8250_pnp.c:428: warning: cast from pointer to integer of different size



i will try swsusp2 now... without reiser4...


edit:

swsusp2 doesn't work with the linux/highmem.h
i searched and found that:
http://lists.berlios.de/pipermail/softwaresuspend-devel/2004-November/000891.html

edit2:
http://lists.berlios.de/pipermail/softwaresuspend-devel/2004-November/000871.html

edit3: the reiser4 compiled, only warnings...


for the 2.6.10...
i tested 2.6.10-rc3 with the ck-patches and the fbsplash.
ck-pachtes worked, and in fbsplash-patch i corrected one line.
_________________
Code:
dd if=/dev/urandom of=/dev/speech

ogg - mp3


Last edited by Macumba on Sat Dec 18, 2004 11:24 pm; edited 4 times in total
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 957

PostPosted: Sat Dec 18, 2004 8:19 pm    Post subject: Reply with quote

Macumba wrote:
i tryed it without swsusp2, with reiser4 and got this warnings
Did the compile fail because of those warnings? If it succeeded, then you could try to use it. I'm using Reiser4 right now, and I now some warnings came up during compile. My root partition is Reiser4, even.

If changing that code works for swsup, then I will make a patch and fix up the extra archive. This is why swsup2 is controlled by a use flag. ;) They say it is going to be included in the kernel mainline sometime in the future to replace the existing suspend code.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
pilx
n00b
n00b


Joined: 27 Jun 2004
Posts: 43

PostPosted: Sat Jan 08, 2005 10:39 pm    Post subject: Reply with quote

Hey, no shadow-sources based on 2.6.10 yet?
Should I wait... or get some nitro?
Naaa... just kidding. I'll wait.
Back to top
View user's profile Send private message
taskara
Advocate
Advocate


Joined: 10 Apr 2002
Posts: 3763
Location: Australia

PostPosted: Sat Jan 15, 2005 5:37 am    Post subject: Reply with quote

pilx wrote:
Hey, no shadow-sources based on 2.6.10 yet?
Should I wait... or get some nitro?
Naaa... just kidding. I'll wait.


hehe I second that ;)

a few ideas:
bootsplash / gensplash patch (via use flag)
MPPE/MPPC patch (for connecting to microsoft PPTP VPN points)
If "USE=reiser4" then disable "use 4Kb for kernel stacks instead of 8Kb" automatically

also, fyi I can't get swsp2 (beta) to patch successfully on any 2.6.10 flavour kernel, yet
_________________
Kororaa install method - have Gentoo up and running quickly and easily, fully automated with an installer!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum